//
//  ClockView.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct ClockView: View {
    static let formatter = ISO8601DateFormatter()

    @EnvironmentObject var clock: Clock

    var body: some View {
        Text("\(clock.date, formatter: Self.formatter)")
            .font(Font.body.monospacedDigit())
    }
}

struct ClockView_Previews: PreviewProvider {
    static var previews: some View {
        ClockView()
    }
}
