//
//  Navigation.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct Navigation: View {
    var body: some View {
        NavigationView {
            FirstView()
        }
    }
}

struct FirstView: View {
    var body: some View {
        VStack {
            Text("First Screen")
            NavigationLink(destination: SecondView()) {
                Text("Go To Second Screen")
            }
        }.navigationTitle("First")
    }
}

struct SecondView: View {
    var body: some View {
        Text("Second Screen")
            .navigationTitle("Second")
    }
}

struct Navigation_Previews: PreviewProvider {
    static var previews: some View {
        Navigation()
    }
}
