//
//  Counter.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct Counter: View {
    @State var count: UInt = 0
    
    var body: some View {
        VStack {
            Text("\(count)")
                .font(Font.body.monospacedDigit())
            Button("Increment") {
                count += 1
            }
        }
    }
}

struct Counter_Previews: PreviewProvider {
    static var previews: some View {
        Counter()
    }
}
