//
//  DynamicList.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct DynamicList: View {
    @State var elements = Array(1...100).map(Element.init)
    
    var body: some View {
        List(elements) { element in
            Text("\(element.value)")
        }
    }
}

struct DynamicList_Previews: PreviewProvider {
    static var previews: some View {
        DynamicList()
    }
}
