//
//  Page.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct Page: View {
    var body: some View {
        TabView {
            FirstPageView()
                .tabItem {
                    Label("First", systemImage: "list.dash")
                }
            SecondPageView()
                .tabItem {
                    Label("Second", systemImage: "magnifyingglass")
                }
        }
        .tabViewStyle(
            PageTabViewStyle(indexDisplayMode: .always)
        )
    }
}

struct FirstPageView: View {
    var body: some View {
        Text("First Page")
    }
}

struct SecondPageView: View {
    var body: some View {
        Text("Second Page")
    }
}

struct Page_Previews: PreviewProvider {
    static var previews: some View {
        Page()
    }
}
