//
//  Restoration.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct Restoration: View {
    @SceneStorage(wrappedValue: "", "lastOpenedURL")
    var lastOpenedURL: String

    var body: some View {
        TextField("URL", text: $lastOpenedURL)
            .textContentType(.URL)
    }
}

struct Restoration_Previews: PreviewProvider {
    static var previews: some View {
        Restoration()
    }
}
