//
//  Tab.swift
//  SwiftUIExample
//
//  Created by Hiroki Kato on 2021/01/04.
//

import SwiftUI

struct Tab: View {
    var body: some View {
        TabView {
            FirstTabView()
                .tabItem {
                    Label("First", systemImage: "list.dash")
                }
            SecondTabView()
                .tabItem {
                    Label("Second", systemImage: "magnifyingglass")
                }
        }
    }
}

struct FirstTabView: View {
    var body: some View {
        Text("First Tab")
    }
}

struct SecondTabView: View {
    var body: some View {
        Text("Second Tab")
    }
}

struct Tab_Previews: PreviewProvider {
    static var previews: some View {
        Tab()
    }
}
