//
//  SingleDeviceView.swift
//  WidgetExample
//
//  Created by Yutaro Muta on 2020/12/06.
//

import SwiftUI

struct SingleDeviceView: View {
    var device: Device

    var body: some View {
        device.image
            .resizable()
            .scaledToFit()
            .font(.largeTitle)
            .foregroundColor(device.os.color)
            .padding()
    }
}
